import numpy as np
seq_len = 128
in_feat = 64
in_batch = in_feat
out_feat = in_feat

f = open('input.txt', 'wt')
f.write('%d %d\n'%(seq_len, in_feat))
for i in range(seq_len):
    x = np.random.random(size=(in_feat, in_batch))
    np.savetxt(f, x, fmt='%.5f')
for i in range(8):
    w = np.random.random(size=(out_feat, in_feat))
    np.savetxt(f, w, fmt='%.5f')